%-------------------------------------------------------------%
% stdev.m                                                     %
% Function that calculates the standard deviation of a        %
% of a transfer function and a load spectrum, working under   %
% the assumption that the stochasticprocess is ergodic, normal%
% distributed and narrow banded.                              %
%-------------------------------------------------------------%
% Author: Heine Groetting                                     %
%-------------------------------------------------------------%
% Last edit: 27/02-15                                         %
%-------------------------------------------------------------%
% Input:                                                      %
% Hw  - Transfer function                                     %
% S   - Spectra                                               %
% omega - Corresponding frequency values                      %
%-------------------------------------------------------------%
% Output:                                                     %
% Standev  - The standard deviation                           % 
%-------------------------------------------------------------%

function Standev = stdev(Hw,S,omega);
Hw=(transpose(Hw));
integ=abs(Hw.*Hw.*S);
variance=trapz(omega,integ);
Standev=sqrt(variance);
%fig=figure(7)
%plot(omega,Hw,'r')
%figure (8)
%plot(omega, S,'blue')
%figure(9)
%plot(omega,integ,'green')




end


